<?php

	$FILES_PATH='files/';
	
	// Get username, accept only a-z, 0-9
	$username = $_POST['username'];
	$username = preg_replace('/[^a-z0-9]/', '', $username);
	
	// Generate name for this submission
	$submission_name = date('Y-m-d-H-i-s').'_'.$username.'_'.$_SERVER['REMOTE_ADDR'];
	
	$SUBMISSION_PATH=$FILES_PATH.$submission_name.'/';
	
	$end_of_pages = FALSE;
	$page_count = 0;
	
	do {
		if (is_uploaded_file($_FILES['page'.$page_count]['tmp_name'])) {
			// We have yet another page
			
			// Create submission path if it does not exist
			if (!is_dir($SUBMISSION_PATH)) {
				if (!mkdir($SUBMISSION_PATH)) {
					// Could not create path for files, exit
					error_log("Could not create $SUBMISSION_PATH", 4);
					exit(1);
				}
			}
			
			
			$final_path = $SUBMISSION_PATH.basename($_FILES['page'.$page_count]['name']);
			if (!move_uploaded_file($_FILES['page'.$page_count]['tmp_name'], $final_path)) {
				error_log('We could not move uploaded file '.$_FILES['page'.$page_count]['tmp_name'].' to '.$final_path, 4);
			}
			
			$page_count++;
		}
		else {
			// End of pages
			$end_of_pages = TRUE;
		}
	} while (!$end_of_pages);
	

	echo("Received-Pages: $page_count\n");
?>
